=== debian/changelog ===
tslib (1.20-1) unstable; urgency=low

  * Update to tslib version 1.20
  * Add newly included manpages

 -- Martin Kepplinger <martink@posteo.de>  Tue, 21 May 2019 09:06:23 +0100
