=== plugins/CMakeLists.txt ===
--- 
+++ 
@@ -37,6 +37,7 @@
 TSLIB_CHECK_MODULE(debounce ON "Enable building filter" debounce.c) 
 TSLIB_CHECK_MODULE(dejitter ON "Enable building dejitter filter" dejitter.c) 
 TSLIB_CHECK_MODULE(iir      ON "Enable building iir filter" iir.c) 
+TSLIB_CHECK_MODULE(evthres  ON "Enable building evthres filter" evthres.c) 
 TSLIB_CHECK_MODULE(invert   ON "Enable building invert filter" invert.c) 
 TSLIB_CHECK_MODULE(linear   ON "Enable building linear filter" linear.c) 
 TSLIB_CHECK_MODULE(lowpass  ON "Enable building lowpass filter" lowpass.c) 
@@ -80,5 +81,5 @@
 #install plugins and add to export set
 install(TARGETS ${plugin_targets} 
 	OPTIONAL
-	LIBRARY DESTINATION lib/ts)
+	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}/ts)
