## tslib 1.22

=== CMakeLists.txt ===
--- 
+++ 
@@ -19,10 +19,10 @@
 option(ENABLE_TOOLS "build additional tools" ON)
 
 set(LIBTS_VERSION_CURRENT 10)
-set(LIBTS_VERSION_REVISION 3)
+set(LIBTS_VERSION_REVISION 4)
 set(LIBTS_VERSION_AGE 10)
 
-set(PACKAGE_VERSION 1.21)
+set(PACKAGE_VERSION 1.22)
 set(TS_POINTERCAL ${CMAKE_INSTALL_FULL_SYSCONFDIR}/pointercal)
 set(TS_CONF ${CMAKE_INSTALL_FULL_SYSCONFDIR}/ts.conf)
