=== debian/changelog ===
tslib (1.22-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:29:09 +0000

tslib (1.22-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062995

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 19:49:38 +0000

tslib (1.22-1) unstable; urgency=low

  * Update to tslib version 1.22

 -- Martin Kepplinger <martink@posteo.de>  Wed, 01 Jul 2020 12:52:03 +0100
