=== debian/control ===
Source: tslib
Section: embedded
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Martin Kepplinger <martink@posteo.de>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 10), automake | automaken, autoconf, libtool, pkg-config
Standards-Version: 4.2.1
Homepage: http://tslib.org
Vcs-Git: https://github.com/merge/tslib-debian
Vcs-Browser: https://github.com/merge/tslib-debian

Package: libts0t64
Provides: ${t64:Provides}
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libts0 (<< ${source:Version}), tsconf
Replaces: libts0, tsconf
Multi-Arch: same
Description: touch screen library
 Tslib is an abstraction layer for touchscreen panel events, as well as a
 filter stack for the manipulation of those events. Examples of implemented
 filters include debounce, median, iir, dejitter and the calibration
 transform.

Package: libts-dev
Architecture: any
Section: libdevel
Depends: libts0t64 (=${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: touch screen library, development files
 Tslib is an abstraction layer for touchscreen panel events, as well as a
 filter stack for the manipulation of those events.
 .
 This package contains the static library and header files used in
 development.

Package: libts-bin
Architecture: any
Depends: libts0t64 (=${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: foreign
Description: touch screen library utilities
 Tslib is an abstraction layer for touchscreen panel events, as well as a
 filter stack for the manipulation of those events.
 .
 This package contains programs like ts_calibrate or ts_uinput that can
 be useful when developing, testing or deploying applications using tslib.
