=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/libts/tslib/releases .*/tslib-(\d\.\d\d)\.tar\.(?:bz2|gz|xz)
