## tslib 1.24

=== debian/changelog ===
tslib (1.24-1) unstable; urgency=low

  * Update to tslib version 1.24
  * debiann/rules: add empty dh_missing override
  * debian: remove compat file and move to control
  * debian/compat: update to v13

 -- Martin Kepplinger-Novakovic <martink@posteo.de>  Fri, 07 Nov 2025 13:44:44 +0100

tslib (1.23-1) unstable; urgency=low

  * Update to tslib version 1.23
  * define signing subkey for debuild
  * libts0t64 symbols: add new filter module
  * d/control: update pkg-config => pkgconf
  * .desktop: add X-AppStream-Ignore=true
  * d/control: update standards version to 4.6.2
  * update the upstream signing key

 -- Martin Kepplinger <martink@posteo.de>  Sun, 03 Mar 2024 13:51:43 +0100
