=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: tslib
 Section: embedded
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Martin Kepplinger <martink@posteo.de>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 10), automake | automaken, autoconf, libtool, pkg-config
-Standards-Version: 4.2.1
+Maintainer: Martin Kepplinger <martink@posteo.de>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>= 10), debhelper-compat (= 13), automake | automaken, autoconf, libtool, pkgconf
+Standards-Version: 4.7.2
 Homepage: http://tslib.org
 Vcs-Git: https://github.com/merge/tslib-debian
 Vcs-Browser: https://github.com/merge/tslib-debian
